Old 20th August 2018, 13:10   #1
neuralnet
Junior Member
 
Join Date: Oct 2012
Posts: 6
sc_trans v1.x stopped working

Hi Guys,

Firstly, I _know_ sc_trans is obsolete and unsupported.. but it's been working flawlessly for me for the past 8+ years or so. Two weeks ago the v1.x auth stopped working altogether, although the v2 dj input is still working.. however several of our DJ's still use software that relies on the v1 authentication, so I'm a bit stuffed and hoping someone can suggest something I may have missed before I take the plunge and go the liquidsoap route..

The production server is running Ubuntu 16.04. I've copied all the shoutcast and transcoder binaries/configs to a test server (running Ubuntu 14.04), and v1.x connections work here.

I can telnet to the v1.x ports, indicating to me that it's not a connectivity issue. I've tried swapping the ports of the v1 and v2 connections, and again v2 works and v1 does not. If there was a port conflict or similar, this would have stopped the v2 authentication in the same way, but it did not.

Enabling the debugging options in the sc_trans.conf (shoutcastdebug=1, capturedebug=1, djdebug=1, sourcerelaydebug=1, sourceandendpointmanagerdebug=1) logs the v2 connections beautifully, but when trying v1, literally nothing gets logged. It's like the connection never gets parsed to sc_trans at all.

I've tried fresh installs of Winamp & ShoutCast DSP suggesting it's not the broadcaster at fault. The DSP hangs at 'connecting', times out and retries.

There were two unattended upgrades on the server in the period between v1 working and it not.. the first; libmspack0:amd64 (0.5-1ubuntu0.16.04.2) and secondly; gpgv (1.4.20-1ubuntu3.3), gnupg (1.4.20-1ubuntu3.3), libxcursor1:amd64 (1:1.1.14-1ubuntu0.16.04.2).

I doubt that gnupg / libxcursor are related, but libmspack0 is listed as "A library for Microsoft compression formats" e.g. (COMPRESS.EXE [SZDD], Microsoft Help (.HLP), COMPRESS.EXE [KWAJ], Microsoft Cabinet (.CAB), HTML Help (.CHM), Microsoft eBook (.LIT), Windows Imaging Format (.WIM), Exchange Offline Address Book (.LZX).) which could be tangentially related..

Although this route hasn't taken me very far, I tried rolling back the update but get told that the the version was not found in the repo's;

code:
# apt-get install libmspack0=0.5-1ubuntu0.16.04.1
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Version '0.5-1ubuntu0.16.04.1' for 'libmspack0' was not found



If this was a common problem, I'd have expected the forums to be full of broadcasters complaining the same thing, but it's curiously quiet. Anyone care to pitch in here ? Thanks for reading this far
neuralnet is offline   Reply With Quote
Reply
Go Back   Winamp & SHOUTcast Forums > SHOUTcast > SHOUTcast Technical Support

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump